@echo off
rem Batch file to launch 'native2ascii' using Taurus Java VM
rem (C) Copyright 2003, Taurus Software

rem
rem Change PLATFORM to suit your target platform
rem

set PLATFORM=win32

rem
rem Don't change anything below this line
rem

rem If TJVM_HOME is unset, assume we are in 'bin' folder
rem

if "%TJVM_HOME%" == "" set TJVM_HOME=..

rem Make sure release binary exists, if not try debug exe
rem

set BUILD=Release

if exist %TJVM_HOME%\%PLATFORM%\Release\javavm.exe goto run

rem Make sure debug binary exists, if not report an error
rem

set BUILD=Debug

if exist %TJVM_HOME%\%PLATFORM%\Debug\javavm.exe goto run

rem Can't find either exe, so report an error
rem

echo Can't find javavm.exe in "%TJVM_HOME%\%PLATFORM%"
echo Try setting TJVM_HOME before running this script.
goto end

:run

rem Run the exe with the supplied args
rem

%TJVM_HOME%\%PLATFORM%\%BUILD%\javavm.exe sun/tools/native2ascii/Main %1 %2 %3 %4 %5


:end
rem exit
