/******************************************************************************
 *
 * Filename: classpath.h
 *
 * Author:   Robert Thornburrow
 * Project:  JavaVM
 * Created:  12th April 2003
 *
 * Purpose:  Representation of the class path.
 *
 * (c) Copyright R.H.Thornburrow, 1998-2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

#ifndef __classpath_h

#define __classpath_h


typedef enum
{
	cpt_Unknown = 0, cpt_Directory, cpt_Archive, cpt_Invalid
} Classpath_Type;

typedef struct _Classpath_Entry
{
	const char*		path;
	Classpath_Type	kind;
	int				isSystem;

#ifdef USE_ZIP_HASHTABLE
	struct _Hashtable*		cache;
	struct _ZipCacheEntry*  index;
	int						zipecenn;
#endif /* USE_ZIP_HASHTABLE */
} Classpath_Entry;


extern int classpathc;
extern struct _Classpath_Entry classpathv[];


#endif /* __classpath_h */
