/******************************************************************************
 *
 * Filename: jni.h
 *
 * Author:   Robert Thornburrow
 * Project:  JavaVM
 * Created:  16th April 2003
 *
 * Purpose:  Native method interface.
 *
 * (c) Copyright R.H.Thornburrow, 1998-2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

#ifndef _jni_h

#define _jni_h


#include "types.h"


#ifdef __cplusplus
extern "C" {
#endif

typedef int				jboolean;
typedef int8			jbyte;
typedef int32			jint;
typedef int64			jlong;
typedef double			jdouble;
typedef struct _ObjRef* jobject;
typedef struct _ObjRef* jstring;
typedef struct _ObjRef* jclass;
typedef struct _Stack	JNIEnv;


/* For jboolean */

#define JNI_FALSE 0
#define JNI_TRUE 1


#ifdef __cplusplus
}
#endif


#endif /* _jni_h */
