/******************************************************************************
 *
 * Filename: zipload.h
 *
 * Author:   Robert Thornburrow
 * Project:  JavaVM
 * Created:  20th April 2003
 *
 * Purpose:  ZIP file class and file loader.
 *
 * (c) Copyright R.H.Thornburrow, 2003
 *
 * Based on Paul Katz's public domain specification for the PKZIP file format.
 * No proprietry code has been referenced in developing this module.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

#ifndef _zipload_h

#define _zipload_h


#include "classpath.h"


#ifdef __cplusplus
extern "C" {
#endif

extern ClassFile* readZippedClassFile(
    Classpath_Entry* zipfile, const char* filename, const char* classname,
    struct _Stack* stp, int* found );

extern FILE* fopenZippedResource(
	Classpath_Entry* zipfile, const char* filename, long* length );

#ifdef USE_ZIP_HASHTABLE
extern void freeZipCaches();
#endif /* USE_ZIP_HASHTABLE */


#ifdef __cplusplus
}
#endif


#endif /* _zipload_h */
