/******************************************************************************
 *
 * Filename: java_io_FileInputStream.h
 *
 * Author:   Robert Thornburrow
 * Project:  JavaVM
 * Created:  19th January 1998
 *
 * Purpose:  Native method implementations for java.io.FileInputStream.
 *
 * (c) Copyright R.H.Thornburrow, 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

#ifndef _java_io_FileInputStream_h

#define _java_io_FileInputStream_h


#include "../engine/jni.h"


#ifdef __cplusplus
extern "C" {
#endif


extern jint     Java_java_io_FileInputStream_available( JNIEnv* env, jobject self );
extern void		Java_java_io_FileInputStream_open( JNIEnv* env, jobject self, jobject name );
extern jint		Java_java_io_FileInputStream_read( JNIEnv* env, jobject self );
extern jint		Java_java_io_FileInputStream_readBytes( JNIEnv* env, jobject self, jobject b, jint off, jint len );
extern jlong 	Java_java_io_FileInputStream_skip( JNIEnv* env, jobject self, jlong len );

#if JDK_VERSION < 140
extern void     Java_java_io_FileInputStream_close( JNIEnv* env, jobject self );
#else
extern void     Java_java_io_FileInputStream_close0( JNIEnv* env, jobject self );
#endif /* JDK 1.4 */

#if JDK_VERSION >= 140
extern void 	Java_java_io_FileInputStream_initIDs( JNIEnv* env, jclass staticself );
#endif /* JDK 1.4 */


#ifdef __cplusplus
}
#endif

#endif /* _java_io_FileInputStream_h */
