/******************************************************************************
 *
 * Filename: java_io_ObjectStreamClass.h
 *
 * Author:   Robert Thornburrow
 * Project:  JavaVM
 * Created:  19th January 1998
 *
 * Purpose:  Native method implementations for java.io.ObjectStreamClass.
 *
 * (c) Copyright R.H.Thornburrow, 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

#ifndef _java_io_ObjectStreamClass_h

#define _java_io_ObjectStreamClass_h


#include "../engine/jni.h"


#ifdef __cplusplus
extern "C" {
#endif


extern jint		Java_java_io_ObjectStreamClass_getClassAccess( JNIEnv *env, jobject staticself, jclass aclass );
extern jobject  Java_java_io_ObjectStreamClass_getFields0( JNIEnv *env, jobject self, jclass cl );
extern jint     Java_java_io_ObjectStreamClass_getFieldAccess( JNIEnv *env, jclass staticself, jclass aclass, jobject fieldsig );
extern jobject  Java_java_io_ObjectStreamClass_getFieldSignatures( JNIEnv *env, jclass staticself, jclass aclass );
extern jint     Java_java_io_ObjectStreamClass_getMethodAccess( JNIEnv *env, jclass staticself, jclass aclass, jobject methodsig );
extern jobject  Java_java_io_ObjectStreamClass_getMethodSignatures( JNIEnv *env, jclass staticself, jclass aclass );
extern jlong	Java_java_io_ObjectStreamClass_getSerialVersionUID( JNIEnv *env, jclass staticself, jclass cl );
extern jboolean Java_java_io_ObjectStreamClass_hasWriteObject( JNIEnv *env, jclass staticself, jclass cl );

#if JDK_VERSION >= 140
extern void     Java_java_io_ObjectStreamClass_initNative( JNIEnv *env, jclass staticself );
#endif /* JDK_VERSION 1.4.0 */


#ifdef __cplusplus
}
#endif

#endif /* _java_io_ObjectStreamClass_h */
