/******************************************************************************
 *
 * Filename: java_io_RandomAccessFile.h
 *
 * Author:   Robert Thornburrow
 * Project:  JavaVM
 * Created:  21st April 2003
 *
 * Purpose:  Native method implementations for java.io.RandomAccessFile.
 *
 * (c) Copyright R.H.Thornburrow, 2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

#ifndef _java_io_RandomAccessFile_h

#define _java_io_RandomAccessFile_h


#include "../engine/jni.h"


#ifdef __cplusplus
extern "C" {
#endif


extern void  Java_java_io_RandomAccessFile_open( JNIEnv* env, jobject self, jobject name, jboolean writeable );
extern jlong Java_java_io_RandomAccessFile_length( JNIEnv* env, jobject self );
extern int   Java_java_io_RandomAccessFile_readBytes( JNIEnv* env, jobject self, jobject b, jint off, jint len );
extern void  Java_java_io_RandomAccessFile_seek( JNIEnv* env, jobject self, jlong offset );
extern void  Java_java_io_RandomAccessFile_close( JNIEnv* env, jobject self );


#ifdef __cplusplus
}
#endif

#endif /* _java_io_RandomAccessFile_h */
