/******************************************************************************
 *
 * Filename: java_io_Win32FileSystem.h
 *
 * Author:   Robert Thornburrow
 * Project:  JavaVM
 * Created:  6th May 2003
 *
 * Purpose:  Native method implementations for java.io.Win32FileSystem.
 *
 * (c) Copyright R.H.Thornburrow, 2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

#ifndef _java_io_Win32FileSystem_h

#define _java_io_Win32FileSystem_h


#include "../engine/jni.h"


#ifdef __cplusplus
extern "C" {
#endif


#if JDK_VERSION >= 140
extern jobject Java_java_io_Win32FileSystem_canonicalize( JNIEnv* env, jobject self, jobject path );
extern jint    Java_java_io_Win32FileSystem_getBooleanAttributes( JNIEnv* env, jobject self, jobject file );
extern jlong   Java_java_io_Win32FileSystem_getLastModifiedTime( JNIEnv* env, jobject self, jobject file );
extern jlong   Java_java_io_Win32FileSystem_getLength( JNIEnv* env, jobject self, jobject file );
extern void    Java_java_io_Win32FileSystem_initIDs( JNIEnv* env, jclass staticself );
extern jobject Java_java_io_Win32FileSystem_list( JNIEnv* env, jobject self, jobject dir );
#endif /* JDK 1.4 */


#ifdef __cplusplus
}
#endif

#endif /* _java_io_Win32FileSystem_h */
