/******************************************************************************
 *
 * Filename: java_lang_StrictMath.h
 *
 * Author:   Robert Thornburrow
 * Project:  JavaVM
 * Created:  7th May 2003
 *
 * Purpose:  Native method implementations for java.lang.StrictMath.
 *
 * (c) Copyright R.H.Thornburrow, 2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

#ifndef _java_lang_StrictMath_h

#define _java_lang_StrictMath_h


#include "../engine/jni.h"


#ifdef __cplusplus
extern "C" {
#endif

#if JDK_VERSION >= 140

extern jdouble  Java_java_lang_StrictMath_floor( JNIEnv* env, jclass staticself, jdouble a );
extern jdouble Java_java_lang_StrictMath_log( JNIEnv* env, jclass staticself, jdouble a );

#endif /* JDK 1.1 */

#ifdef __cplusplus
}
#endif

#endif /* _java_lang_StrictMath_h */
