/******************************************************************************
 *
 * Filename: java_lang_Thread.h
 *
 * Author:   Robert Thornburrow
 * Project:  JavaVM
 * Created:  25th March 2002
 *
 * Purpose:  Native method implementations for java.lang.Thread.
 *
 * (c) Copyright R.H.Thornburrow, 2002-3
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

#ifndef _java_lang_Thread_h

#define _java_lang_Thread_h


#include "../engine/jni.h"


#ifdef __cplusplus
extern "C" {
#endif

#if JDK_VERSION >= 140
void Java_java_lang_Thread_registerNatives( JNIEnv* env, jclass staticself );
#endif /* JDK_VERSION 1.4.0 */

extern jobject  Java_java_lang_Thread_currentThread( JNIEnv* env, jclass staticself );
extern jboolean Java_java_lang_Thread_isAlive( JNIEnv* env, jobject self );
extern void     Java_java_lang_Thread_setPriority0( JNIEnv* env, jclass staticself, jint newPriority );
extern void     Java_java_lang_Thread_start( JNIEnv* env, jobject self );


#ifdef __cplusplus
}
#endif

#endif /* _java_lang_Thread_h */
