/******************************************************************************
 *
 * Filename: java_lang_ResourceBundle.c
 *
 * Author:   Robert Thornburrow
 * Project:  JavaVM
 * Created:  24th April 2003
 *
 * Purpose:  Native method implementations for java.util.ResourceBundle.
 *
 * (c) Copyright R.H.Thornburrow, 2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

#include <stdio.h>

#include "../engine/config.h"

#include "java_util_ResourceBundle.h"

#include "java_lang_SecurityManager.h"


/**
 * Must return an array which has at least 3 elements, even if they are null!
 * We cheat and use a similar method on SecurityManager, which does the same
 * thing, but is non-static.
 *
 * private static native java.lang.Class[] getClassContext();
 */
jobject Java_java_util_ResourceBundle_getClassContext( JNIEnv* env, jclass staticself )
{
	return Java_java_lang_SecurityManager_getClassContext( env, NULL );
}
